from django.db import models
from django.conf import settings
from vontor_cz.models import SoftDeleteModel

# 7áznamy pro donwloader, co lidé nejvíc stahujou a v jakém formátu
class DownloaderRecord(SoftDeleteModel):
    url = models.URLField()
    download_time = models.DateTimeField(auto_now_add=True)
    
    format = models.CharField(max_length=50)

    length_of_media = models.IntegerField(help_text="Length of media in seconds")
    file_size = models.BigIntegerField(help_text="File size in bytes")


